﻿@{
    ViewData["Title"] = "Đổi mật khẩu";
    Layout = "~/Views/Account/_Layout.cshtml";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Login V15</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <link rel="icon" type="image/png" href="~/images/icons/favicon.ico" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/bootstrap/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/fonts/Linearicons-Free-v1.0.0/icon-font.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/animate/animate.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/css-hamburgers/hamburgers.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/animsition/css/animsition.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/select2/select2.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/daterangepicker/daterangepicker.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/css/util.css">
    <link rel="stylesheet" type="text/css" href="~/css/main.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/css/sweetalert.min.css">
    <!--===============================================================================================-->
</head>
<body>

    <div class="limiter">
        <div class="container-login100">
            <div class="wrap-login100">
                <div class="login100-form-title" style="background-image: url(./images/bg-01.jpg);">
                    <span class="login100-form-title-1">
                        HỆ THỐNG THÔNG TIN NỘI BỘ
                    </span>
                </div>




                <form class="login100-form validate-form" asp-controller="Account" asp-action="UpdatePassword">

                    <input type="hidden" name="Verify" value="@ViewData["verify"]" />
                    <input type="hidden" name="Exp" value="@ViewData["exp"]" />
                    <div class="wrap-input100 validate-input m-b-18" data-validate="Bạn chưa nhập mật khẩu">
                        <span class="label-input100">Mật khẩu mới</span>
                        <input class="input100" type="password" name="MatKhauMoi" placeholder="Gõ mật khẩu">
                        <span class="focus-input100"></span>
                    </div>
                    <div class="wrap-input100 validate-input m-b-18" data-validate="Bạn chưa nhập mật khẩu">
                        <span class="label-input100">Nhập lại mật khẩu mới</span>
                        <input class="input100" type="password" name="MatKhauMoiRe" placeholder="Gõ mật khẩu">
                        <span class="focus-input100"></span>
                    </div>



                    <div class="container-login100-form-btn">
                        <button class="login100-form-btn">
                            Xác nhận
                        </button>

                    </div>
                    <br />

                </form>



            </div>
        </div>
    </div>
    @if (ViewBag.Message != null && ViewBag.Message == "Đã đổi thành công!")
    {
<script type="text/javascript">
         window.onload = function () {
            swal({
                title: "Đã đổi thành công!",
                text: "Bạn có muốn vào trang đăng nhập?",
                type: 'success',
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Đồng ý",
                showCancelButton: true,
                cancelButtonText: "Không",
            },
               function (isConfirm) {
                    if (isConfirm) {
                        window.location.href = '@Url.Action("Index","Account")';
                    }
                }
            );
        };
</script>
    }else if (ViewBag.Message != null && ViewBag.Message == "Hệ thống đang bận, vui lòng thử lại sau!")
    {
        <script type="text/javascript">
        window.onload = function () {
            swal({
                title: "Lỗi đổi mật khẩu",
                text: "Hệ thống đang bận, vui lòng thử lại sau!",
                type: 'error',
                showCancelButtonClass: 'OK'
            });
        };
        </script>
    }else if (ViewBag.Message != null && ViewBag.Message == "Mật khẩu mới chưa trùng khớp hoặc chưa điền mật khẩu mới!")
    {
        <script type="text/javascript">
               swal({
                        title: "Lỗi đổi mật khẩu",
                        text: "Mật khẩu mới chưa trùng khớp hoặc chưa điền mật khẩu mới!",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
        </script>
    }else if (ViewBag.Message != null && ViewBag.Message == "Mật khẩu mới quá ngắn, vui lòng đặt từ 6 ký tự trở lên!")
    {
        <script type="text/javascript">
               swal({
                        title: "Lỗi đổi mật khẩu",
                        text: "Mật khẩu mới quá ngắn, vui lòng đặt từ 6 ký tự trở lên!",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
        </script>
    }


    <!--===============================================================================================-->
    <script src="~/vendor/jquery/jquery-3.2.1.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/vendor/animsition/js/animsition.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/vendor/bootstrap/js/popper.js"></script>
    <script src="~/vendor/bootstrap/js/bootstrap.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/vendor/select2/select2.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/vendor/daterangepicker/moment.min.js"></script>
    <script src="~/vendor/daterangepicker/daterangepicker.js"></script>
    <!--===============================================================================================-->
    <script src="~/vendor/countdowntime/countdowntime.js"></script>
    <!--===============================================================================================-->
    <script src="~/js/main.js"></script>
    <!--===============================================================================================-->
    <script src="~/js/sweetalert.min.js"></script>
</body>
</html>